#include "config.h"
#include <unistd.h>
#include <string.h>
#include <stdlib.h>
#include "options.h"

static void FreeConfigItem(LPCONFIGITEM pItem)
{
  if (pItem->name)
  {
    free(pItem->name);
  }
  if (pItem->value)
  {
    free(pItem->value);
  }
  if (pItem->pSublist)
  {
    ListDestroy((LPLIST)pItem->pSublist);
  }
}

LPCONFIGLIST CreateConfigItemList()
{
  return (LPCONFIGLIST)ListCreate((NODEFREEFUNC)FreeConfigItem,sizeof(CONFIGLIST));
}

LPCONFIGITEM FindConfigItemByName(LPCONFIGLIST pList,const char *pName)
{
  LPCONFIGITEM pIter;
  for (pIter = (LPCONFIGITEM)pList->list.pHead;pIter;pIter = (LPCONFIGITEM)pIter->node.pNext)
  {
    if (strcmp(pIter->name,pName) == 0)
    {
      return pIter;
    }
  }
  return NULL;
}
